package grafo;

import java.util.List;

import org.jgrapht.DirectedGraph;
import org.jgrapht.Graphs;
import org.jgrapht.graph.DefaultEdge;
import org.jgrapht.graph.SimpleDirectedGraph;

public class ProvaGrafo {
	
	public static void main(String[] args){
			
		DirectedGraph<Integer, DefaultEdge> grafo = new SimpleDirectedGraph<Integer, DefaultEdge>(DefaultEdge.class);
		
		for(int i=1; i<8;i++){
			grafo.addVertex(i);
		}
		
	grafo.addEdge(1, 2);
	grafo.addEdge(2, 5);
	grafo.addEdge(5, 1);
	
	grafo.addEdge(5, 4);
	grafo.addEdge(4, 3);
	grafo.addEdge(4, 6);
	grafo.addEdge(6, 4);
	
	grafo.addEdge(7, 3);
	grafo.addEdge(3, 6);
	

	
	for(Integer v: grafo.vertexSet()){
	  List<Integer> successori =	Graphs.successorListOf(grafo, v);
		  System.out.println("I successori del vertice "+v+" sono: "+successori.toString());
	
	 
	}
	
	

}
}