package it.polito.tdp.meteo;

import it.polito.tdp.meteo.bean.Situazione;
import it.polito.tdp.meteo.db.MeteoDAO;

import java.util.ArrayList;
import java.util.HashSet;

import org.jgrapht.Graphs;
import org.jgrapht.graph.DefaultDirectedGraph;
import org.jgrapht.graph.DefaultEdge;

public class Model {

	MeteoDAO dao = new MeteoDAO();
	
	DefaultDirectedGraph<Integer, DefaultEdge> grafo = new DefaultDirectedGraph <Integer, DefaultEdge>(DefaultEdge.class);
	
	HashSet<Integer> calcola (Integer temp) {
		
		ArrayList<Situazione> situazioni = dao.getSituazioni("Torino");
		//ArrayList<Integer> ret = new ArrayList<Integer>();
		//ArrayList<Integer> ret2 = new ArrayList<Integer>();
		
		HashSet<Integer> ret = new HashSet<Integer>();
		HashSet<Integer> ret2 = new HashSet<Integer>();
		
		for (int i=0; i<situazioni.size(); ++i)
			grafo.addVertex(situazioni.get(i).getTMedia());
		
		for (int i=0; i<situazioni.size()-1; ++i)
			grafo.addEdge(situazioni.get(i).getTMedia(), situazioni.get(i+1).getTMedia());
		
		if (grafo.containsVertex(temp)) {
			ret.addAll(Graphs.neighborListOf(grafo, temp));
			
			for (Integer i: ret)
				ret2.addAll(Graphs.neighborListOf(grafo, i));
			
			ret.addAll(ret2);
		}
		
		return ret;
		
	}
	
}
